OGRE-Next: Ogre::RadialDensityMask Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
Ogre::RadialDensityMask Class Reference
Core » Resources

`#include <OgreRadialDensityMask.h>`

Inheritance diagram for Ogre::RadialDensityMask:
[legend]

## Public Types
enum | RdmQuality { RdmLow , RdmMedium , RdmHigh }

## Public Member Functions
| RadialDensityMask (SceneManager *sceneManager, const float radius[3], HlmsManager *hlmsManager)
| ~RadialDensityMask ()
const float * | getRadius () const
Rectangle2D * | getRectangle () const
void | setEyesCenter (const Vector2 &leftEyeCenter, const Vector2 &rightEyeCenter)
| Sets the center of the eye.
void | setNewRadius (const float radius[3])
| Changes existing set of radiuses.
void | setQuality (RdmQuality quality)
| Sets the quality of the reconstruction filter for half resolution rendering.
void | update (Viewport *viewports)

## Member Enumeration Documentation

## ◆ RdmQuality

enum Ogre::RadialDensityMask::RdmQuality

Enumerator
RdmLow | Cheap, pixelated and grainy.
RdmMedium | Slower than low but much better results. Can result in sharp text but still aliasing, shimmering/grain
RdmHigh | Slowest, but best results. Can result in blurry text but smoother graphics (i.e. less aliasing and shimmering/grain)

## Constructor & Destructor Documentation

## ◆ RadialDensityMask()

Ogre::RadialDensityMask::RadialDensityMask | ( | SceneManager * | sceneManager,
|  | const float | radius[3],
|  | HlmsManager * | hlmsManager )

## ◆ ~RadialDensityMask()

Ogre::RadialDensityMask::~RadialDensityMask | ( |  | ) |

## Member Function Documentation

## ◆ getRadius()

const float * Ogre::RadialDensityMask::getRadius | ( |  | ) | const
| inline

## ◆ getRectangle()

Rectangle2D * Ogre::RadialDensityMask::getRectangle | ( |  | ) | const
| inline

## ◆ setEyesCenter()

void Ogre::RadialDensityMask::setEyesCenter | ( | const Vector2 & | leftEyeCenter,
|  | const Vector2 & | rightEyeCenter )

Sets the center of the eye.

Each eye is relative to its own viewport. e.g. the default for both eyes is Vector2( 0, 0 ) and not Vector2( -0.5, 0 ) for the left eye and Vector2( 0.5, 0 ) for the right eye

Parameters

  leftEyeCenter | In clip space, i.e. in range [-1; 1]
  rightEyeCenter | In clip space, i.e. in range [-1; 1]

## ◆ setNewRadius()

void Ogre::RadialDensityMask::setNewRadius | ( | const float | radius[3] | ) |

Changes existing set of radiuses.

Parameters

  radius | For best performance, do not change the value of mRadius[0]

## ◆ setQuality()

void Ogre::RadialDensityMask::setQuality | ( | RdmQuality | quality | ) |

Sets the quality of the reconstruction filter for half resolution rendering.

Quarter and Sixteenth resolution rendering is always reconstructed using low quality.

Parameters

  quality |

## ◆ update()

void Ogre::RadialDensityMask::update | ( | Viewport * | viewports | ) |

The documentation for this class was generated from the following file:

- OgreRadialDensityMask.h